## kdebugsettings 19.12.3

=== CMakeLists.txt ===
# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "19")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "3")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
project(kdebugsettings VERSION ${KDE_APPLICATIONS_VERSION})

set(QT_MIN_VERSION "5.11.0")
set(KF5_MIN_VERSION "5.63.0")

set(ECM_VERSION ${KF5_MIN_VERSION})

find_package(ECM ${ECM_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})


find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Test)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS 
    CoreAddons 
    Config
    DBusAddons 
    I18n 
    WidgetsAddons
    ItemViews
    Completion)
include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(GenerateExportHeader)

add_definitions(-DTRANSLATION_DOMAIN="kdebugsettings")
add_definitions(-DQT_NO_FOREACH)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
endif()

configure_file(config-kdebugsettings.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdebugsettings.h)

set(KDEBUGSETTINGS_LIB_VERSION "${KDE_APPLICATIONS_VERSION}")
set(KDEBUGSETTINGS_LIB_SOVERSION "5")

if(BUILD_TESTING)
	add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)


add_subdirectory( src )
if (BUILD_TESTING)
	add_subdirectory( autotests )
endif()
install( FILES data/kde.categories data/kde.renamecategories data/kdebugsettings.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR} )

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== autotests/CMakeLists.txt ===

include_directories(${kdebugsettings_BINARY_DIR}/src ${kdebugsettings_BINARY_DIR})
add_definitions( -DKDEBUGSETTINGS_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data" )

set(full_source_file
    ../src/kdebugsettingsdialog.cpp
    ../src/customdebugsettingspage.cpp
    ../src/kdeapplicationdebugsettingpage.cpp
    ../src/configurecustomsettingdialog.cpp
    ../src/configurecustomsettingwidget.cpp
    ../src/environmentsettingsrulespage.cpp
    ../src/kdeapplicationtreelistwidget.cpp
    ../src/categorywarning.cpp
    ${CMAKE_BINARY_DIR}/src/kdebugsettings_debug.cpp
    )

# convenience macro to add qtest unit tests
macro(add_unittest _source _additionalsource)
    set(_test ${_source} ${_additionalsource} "../src/kdebugsettings_debug.cpp")
    get_filename_component(_name ${_source} NAME_WE)
    add_executable( ${_name} ${_test} )
    add_test(NAME ${_name} COMMAND ${_name} )
    ecm_mark_as_test(kdebugsettings-${_name})
    set_tests_properties(${_name} PROPERTIES ENVIRONMENT "QT_HASH_SEED=1;QT_NO_CPU_FEATURE=sse4.2")
    target_link_libraries( ${_name}
        Qt5::Test
        KF5::I18n
        Qt5::Widgets
        KF5::ConfigCore
        KF5::WidgetsAddons
        KF5::ItemViews
        KF5::Completion
        libkdebugsettings
        )
endmacro ()

add_unittest( kdebugsettingsdialogtest.cpp "${full_source_file}")
add_unittest( kdeapplicationdebugsettingpagetest.cpp "../src/kdeapplicationdebugsettingpage.cpp;../src/kdeapplicationtreelistwidget.cpp")
add_unittest( customdebugsettingspagetest.cpp "../src/customdebugsettingspage.cpp;../src/configurecustomsettingdialog.cpp;../src/configurecustomsettingwidget.cpp")
add_unittest( configurecustomsettingdialogtest.cpp "../src/configurecustomsettingdialog.cpp;../src/configurecustomsettingwidget.cpp")
add_unittest( configurecustomsettingwidgettest.cpp "../src/configurecustomsettingwidget.cpp")
add_unittest( environmentsettingsrulespagetest.cpp "../src/environmentsettingsrulespage.cpp")
add_unittest( kdebugsettingutiltest.cpp "")
add_unittest( categorytypecomboboxtest.cpp "")
add_unittest( kdeapplicationtreelistwidgettest.cpp "../src/kdeapplicationtreelistwidget.cpp")
add_unittest( categorywarningtest.cpp "../src/categorywarning.cpp")
add_unittest( loggingcategorytest.cpp "")
add_unittest( loadcategoriesjobtest.cpp "")
add_unittest( renamecategorytest.cpp "")
add_unittest( saverulesjobtest.cpp "")
add_unittest( kdebugsettingsloadingcategoriestest.cpp "")
add_unittest( changedebugmodejobtest.cpp "")

=== src/CMakeLists.txt ===
include_directories(${CMAKE_BINARY_DIR})

set(kdebugsettings_debug_SRCS)
ecm_qt_declare_logging_category(kdebugsettings_debug_SRCS HEADER kdebugsettings_debug.h IDENTIFIER KDEBUGSETTINGS_LOG CATEGORY_NAME log_kdebugsettings)

set(kdebugsettings_LIB_SRCS
    kdebugsettingsloadingcategories.cpp
    kdeloggingcategory.cpp
    renamecategory.cpp
    loggingcategory.cpp
    kdebugsettingsutil.cpp
    loadcategoriesjob.cpp
    saverulesjob.cpp
    categorytypecombobox.cpp
    environmentplaintextedit.cpp
    changedebugmodejob.cpp

    ${kdebugsettings_debug_SRCS}
    )

add_library(libkdebugsettings ${kdebugsettings_LIB_SRCS})
generate_export_header(libkdebugsettings BASE_NAME libkdebugsettings)
target_link_libraries(libkdebugsettings
    Qt5::Core
    KF5::I18n
    Qt5::Widgets
)

set_target_properties(libkdebugsettings
    PROPERTIES OUTPUT_NAME kdebugsettings VERSION ${KDEBUGSETTINGS_LIB_VERSION} SOVERSION ${KDEBUGSETTINGS_LIB_SOVERSION}
    )

install(TARGETS libkdebugsettings ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)


set(kdebugsettings_SRCS 
   main.cpp 
   kdebugsettingsdialog.cpp
   customdebugsettingspage.cpp
   kdeapplicationdebugsettingpage.cpp

   configurecustomsettingdialog.cpp
   configurecustomsettingwidget.cpp
   environmentsettingsrulespage.cpp
   kdeapplicationtreelistwidget.cpp
   categorywarning.cpp

   ${kdebugsettings_debug_SRCS}
   )
   
add_executable(kdebugsettings ${kdebugsettings_SRCS})

target_link_libraries(kdebugsettings Qt5::Widgets KF5::I18n KF5::DBusAddons KF5::CoreAddons KF5::ConfigCore KF5::WidgetsAddons KF5::ItemViews KF5::Completion libkdebugsettings)

install(TARGETS kdebugsettings  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS org.kde.kdebugsettings.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES org.kde.kdebugsettings.appdata.xml DESTINATION  ${KDE_INSTALL_METAINFODIR})

=== debian/changelog ===
kdebugsettings (19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:08:06 +0000

kdebugsettings (19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.
  * Skip building for tests.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:18:53 +0000

kdebugsettings (19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:52:56 +0000

kdebugsettings (19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:46:31 +0000

kdebugsettings (19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:31:14 +0000

kdebugsettings (19.08.1-1) unstable; urgency=medium

  * New upstream release (19.08.1).
  * Update build-deps and deps with the info from cmake
  * Add a salsa-ci script
  * Bump debhelper build-dep and compat to 12.
  * Bump Standards-Version to 4.4.0.
  * Drop kde-l10n breaks/replaces, fixed versions already in stable
  * Build with hardening bindnow
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 27 Sep 2019 18:09:51 -0700

=== debian/control ===
Source: kdebugsettings
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 12~),
               extra-cmake-modules (>= 5.59.0~),
               libkf5completion-dev (>= 5.59.0~),
               libkf5config-dev (>= 5.59.0~),
               libkf5coreaddons-dev (>= 5.59.0~),
               libkf5dbusaddons-dev (>= 5.59.0~),
               libkf5i18n-dev (>= 5.59.0~),
               libkf5itemviews-dev (>= 5.59.0~),
               libkf5widgetsaddons-dev (>= 5.59.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.10.0~),
Standards-Version: 4.4.0
Homepage: https://projects.kde.org/projects/kde/kdeutils/kdebugsettings
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdebugsettings
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdebugsettings.git

Package: kdebugsettings
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: application to enable/disable qCDebug settings
 Qt applications use QDebug classes to print out warnings and errors on
 a terminal.  This applications is a simple GUI to turn on or off
 these messages.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

override_dh_auto_test:
	# Disable auto test at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus,
         kinit, xserver-xephyr
#Restrictions: build-needed

## kdebugsettings 20.08.1

=== debian/changelog ===
kdebugsettings (20.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.13.0
    - bump KF packages to 5.68.0
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Thu, 03 Sep 2020 16:52:14 +0200

kdebugsettings (20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.12.0
    - bump KF packages to 5.66.0
    - explicitly add gettext
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
  * Switch the debhelper build dependency to debhelper-compat
    - remove debian/compat
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Unregister obsolete /etc/xdg/kde.categories, and
    /etc/xdg/kde.renamecategories conffiles.
  * Update lintian overrides.
  * Run the test suite at build time:
    - add the xauth, and xvfb build dependencies
    - run dh_auto_test using xvfb-run, as a display is needed

 -- Pino Toscano <pino@debian.org>  Mon, 15 Jun 2020 09:18:02 +0200

=== debian/control ===
Source: kdebugsettings
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.68.0~),
               gettext,
               libkf5completion-dev (>= 5.68.0~),
               libkf5config-dev (>= 5.68.0~),
               libkf5coreaddons-dev (>= 5.68.0~),
               libkf5dbusaddons-dev (>= 5.68.0~),
               libkf5i18n-dev (>= 5.68.0~),
               libkf5itemviews-dev (>= 5.68.0~),
               libkf5widgetsaddons-dev (>= 5.68.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.13.0~),
               xauth,
               xvfb,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdeutils/kdebugsettings
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdebugsettings
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdebugsettings.git

Package: kdebugsettings
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: application to enable/disable qCDebug settings
 Qt applications use QDebug classes to print out warnings and errors on
 a terminal.  This applications is a simple GUI to turn on or off
 these messages.

## kdebugsettings 20.12.0

=== CMakeLists.txt ===
# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "20")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "0")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
project(kdebugsettings VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.13.0")
set(KF5_MIN_VERSION "5.70.0")

set(ECM_VERSION ${KF5_MIN_VERSION})

find_package(ECM ${ECM_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})


find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Test)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS 
    CoreAddons 
    Config
    DBusAddons 
    I18n 
    WidgetsAddons
    ItemViews
    Completion)
include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(GenerateExportHeader)


add_definitions(-DTRANSLATION_DOMAIN="kdebugsettings")
add_definitions(-DQT_NO_FOREACH)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
endif()


configure_file(config-kdebugsettings.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdebugsettings.h)

set(KDEBUGSETTINGS_LIB_VERSION "${RELEASE_SERVICE_VERSION}")
set(KDEBUGSETTINGS_LIB_SOVERSION "5")

if(BUILD_TESTING)
	add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)


add_subdirectory( src )
if (BUILD_TESTING)
	add_subdirectory( autotests )
endif()
ecm_qt_install_logging_categories(EXPORT KDEBUGSETTINGS FILE kdebugsettings.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

install( FILES data/kde.renamecategories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR} )
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,6 @@
     add_executable( ${_name} ${_test} )
     add_test(NAME ${_name} COMMAND ${_name} )
     ecm_mark_as_test(kdebugsettings-${_name})
-    set_tests_properties(${_name} PROPERTIES ENVIRONMENT "QT_HASH_SEED=1;QT_NO_CPU_FEATURE=sse4.2")
     target_link_libraries( ${_name}
         Qt5::Test
         KF5::I18n

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,9 @@
 include_directories(${CMAKE_BINARY_DIR})
 
 set(kdebugsettings_debug_SRCS)
-ecm_qt_declare_logging_category(kdebugsettings_debug_SRCS HEADER kdebugsettings_debug.h IDENTIFIER KDEBUGSETTINGS_LOG CATEGORY_NAME log_kdebugsettings)
 
+ecm_qt_declare_logging_category(kdebugsettings_debug_SRCS HEADER kdebugsettings_debug.h IDENTIFIER KDEBUGSETTINGS_LOG CATEGORY_NAME log_kdebugsettings DESCRIPTION "kdebugsettings" 
+	    EXPORT KDEBUGSETTINGS)	
 set(kdebugsettings_LIB_SRCS
     kdebugsettingsloadingcategories.cpp
     kdeloggingcategory.cpp
@@ -14,6 +15,7 @@
     categorytypecombobox.cpp
     environmentplaintextedit.cpp
     changedebugmodejob.cpp
+    loadgroupmenu.cpp
 
     ${kdebugsettings_debug_SRCS}
     )

=== debian/changelog ===
kdebugsettings (20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Update build dependencies according to the upstream build system:
    - KF5 >= 5.70
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.
  * Borrow minimal upstream signing key from k3b.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 02 Jan 2021 12:37:23 +0100

=== debian/control ===
Source: kdebugsettings
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.70.0~),
               gettext,
               libkf5completion-dev (>= 5.70.0~),
               libkf5config-dev (>= 5.70.0~),
               libkf5coreaddons-dev (>= 5.70.0~),
               libkf5dbusaddons-dev (>= 5.70.0~),
               libkf5i18n-dev (>= 5.70.0~),
               libkf5itemviews-dev (>= 5.70.0~),
               libkf5widgetsaddons-dev (>= 5.70.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.13.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdeutils/kdebugsettings
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdebugsettings
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdebugsettings.git

Package: kdebugsettings
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: application to enable/disable qCDebug settings
 Qt applications use QDebug classes to print out warnings and errors on
 a terminal.  This applications is a simple GUI to turn on or off
 these messages.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --with kf5

override_dh_auto_test:
	xvfb-run -a dh_auto_test

## kdebugsettings 20.12.3

=== debian/changelog ===
kdebugsettings (20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:18:21 +0000

kdebugsettings (20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:52:37 +0000

kdebugsettings (20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:09:08 +0000

## kdebugsettings 21.08.1

=== debian/changelog ===
kdebugsettings (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:32:24 +0100

kdebugsettings (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:00:51 +0100

kdebugsettings (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:53:50 +0100

kdebugsettings (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:32:43 +0100

kdebugsettings (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:41:44 +0100

kdebugsettings (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:38:15 +0100

kdebugsettings (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:04:56 +0100

kdebugsettings (21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:33:35 +0100

## kdebugsettings 21.12.3

=== CMakeLists.txt ===
# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "21")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
cmake_minimum_required (VERSION 3.16.0 FATAL_ERROR)
project(kdebugsettings VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.87.0")

set(ECM_VERSION ${KF5_MIN_VERSION})
find_package(ECM ${ECM_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(GenerateExportHeader)


find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS 
    CoreAddons 
    Config
    DBusAddons 
    I18n 
    WidgetsAddons
    ItemViews
    Completion)

add_definitions(-DTRANSLATION_DOMAIN="kdebugsettings")
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)

configure_file(config-kdebugsettings.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdebugsettings.h)

set(KDEBUGSETTINGS_LIB_VERSION "${RELEASE_SERVICE_VERSION}")
set(KDEBUGSETTINGS_LIB_SOVERSION "5")

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_subdirectory( src )
if (BUILD_TESTING)
    find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Test)
    add_subdirectory( autotests )
endif()
ecm_qt_install_logging_categories(EXPORT KDEBUGSETTINGS FILE kdebugsettings.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
add_subdirectory(data/groups)

install( FILES data/kde.renamecategories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR} )
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
include_directories(${CMAKE_BINARY_DIR})

add_library(libkdebugsettings SHARED)

ecm_qt_declare_logging_category(libkdebugsettings HEADER kdebugsettings_debug.h IDENTIFIER KDEBUGSETTINGS_LOG CATEGORY_NAME log_kdebugsettings DESCRIPTION "kdebugsettings" EXPORT KDEBUGSETTINGS)
target_sources(libkdebugsettings PRIVATE
    kdebugsettingsloadingcategories.cpp
    kdeloggingcategory.cpp
    renamecategory.cpp
    loggingcategory.cpp
    kdebugsettingsutil.cpp
    loadcategoriesjob.cpp
    saverulesjob.cpp
    categorytypecombobox.cpp
    environmentplaintextedit.cpp
    changedebugmodejob.cpp
    loadgroupmenu.cpp

    kdebugsettingsdialog.cpp
    customdebugsettingspage.cpp
    kdeapplicationdebugsettingpage.cpp

    configurecustomsettingdialog.cpp
    configurecustomsettingwidget.cpp
    environmentsettingsrulespage.cpp
    kdeapplicationtreelistwidget.cpp
    categorywarning.cpp
    loadtoolbutton.cpp
    savetoolbutton.cpp
    groupmanagementdialog.cpp
    groupmanagementwidget.cpp
    environmentplaintextedit.h
    renamecategory.h
    configurecustomsettingwidget.h
    kdeapplicationtreelistwidget.h
    saverulesjob.h
    kdeloggingcategory.h
    loadtoolbutton.h
    groupmanagementwidget.h
    loadgroupmenu.h
    environmentsettingsrulespage.h
    groupmanagementdialog.h
    categorytypecombobox.h
    libkdebugsettings_private_export.h
    loadcategoriesjob.h
    customdebugsettingspage.h
    loggingcategory.h
    categorywarning.h
    kdebugsettingsdialog.h
    kdeapplicationdebugsettingpage.h
    savetoolbutton.h
    kdebugsettingsloadingcategories.h
    changedebugmodejob.h
    kdebugsettingsutil.h
    configurecustomsettingdialog.h
    )

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(libkdebugsettings PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(libkdebugsettings BASE_NAME libkdebugsettings)
target_link_libraries(libkdebugsettings
    Qt::Core
    KF5::I18n
    Qt::Widgets
    KF5::WidgetsAddons
    KF5::ItemViews
    KF5::ConfigCore
    KF5::Completion
)

set_target_properties(libkdebugsettings
    PROPERTIES OUTPUT_NAME kdebugsettings VERSION ${KDEBUGSETTINGS_LIB_VERSION} SOVERSION ${KDEBUGSETTINGS_LIB_SOVERSION}
    )

install(TARGETS libkdebugsettings ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)


add_executable(kdebugsettings main.cpp)
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(kdebugsettings PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(kdebugsettings Qt::Widgets KF5::I18n KF5::DBusAddons KF5::CoreAddons libkdebugsettings)

install(TARGETS kdebugsettings  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS org.kde.kdebugsettings.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES org.kde.kdebugsettings.appdata.xml DESTINATION  ${KDE_INSTALL_METAINFODIR})

=== data/groups/CMakeLists.txt ===
install( FILES "Full Debug Ruqola" DESTINATION ${KDE_INSTALL_DATADIR}/kdebugsettings/groups )

=== debian/changelog ===
kdebugsettings (21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 22:38:07 +0100

kdebugsettings (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:54:11 +0900

kdebugsettings (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 10:00:52 +0900

=== debian/control ===
Source: kdebugsettings
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.87.0~),
               gettext,
               libkf5completion-dev (>= 5.87.0~),
               libkf5config-dev (>= 5.87.0~),
               libkf5coreaddons-dev (>= 5.87.0~),
               libkf5dbusaddons-dev (>= 5.87.0~),
               libkf5i18n-dev (>= 5.87.0~),
               libkf5itemviews-dev (>= 5.87.0~),
               libkf5widgetsaddons-dev (>= 5.87.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdeutils/kdebugsettings
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdebugsettings
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdebugsettings.git

Package: kdebugsettings
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: application to enable/disable qCDebug settings
 Qt applications use QDebug classes to print out warnings and errors on
 a terminal.  This applications is a simple GUI to turn on or off
 these messages.

## kdebugsettings 22.08.1

=== debian/changelog ===
kdebugsettings (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:38:32 +0100

kdebugsettings (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:48:35 +0100

kdebugsettings (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:26:00 +0100

kdebugsettings (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:59:59 +0100

kdebugsettings (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:57:21 +0100

kdebugsettings (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:46:29 +0100

kdebugsettings (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:09:04 +0000

kdebugsettings (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:15:32 +0000

kdebugsettings (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:23:23 +0000

kdebugsettings (21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:20:25 +0000

kdebugsettings (21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:04:35 +0000

kdebugsettings (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:15:44 +0000

kdebugsettings (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:24:55 +0000

kdebugsettings (21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:38:42 +0000

## kdebugsettings 22.12.0

=== debian/changelog ===
kdebugsettings (22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:35 +0100

kdebugsettings (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:53 +0100

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,20 @@
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16.0~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.87.0~),
+               extra-cmake-modules (>= 5.99.0~),
                gettext,
-               libkf5completion-dev (>= 5.87.0~),
-               libkf5config-dev (>= 5.87.0~),
-               libkf5coreaddons-dev (>= 5.87.0~),
-               libkf5dbusaddons-dev (>= 5.87.0~),
-               libkf5i18n-dev (>= 5.87.0~),
-               libkf5itemviews-dev (>= 5.87.0~),
-               libkf5widgetsaddons-dev (>= 5.87.0~),
+               libkf5completion-dev (>= 5.99.0~),
+               libkf5config-dev (>= 5.99.0~),
+               libkf5coreaddons-dev (>= 5.99.0~),
+               libkf5dbusaddons-dev (>= 5.99.0~),
+               libkf5i18n-dev (>= 5.99.0~),
+               libkf5itemviews-dev (>= 5.99.0~),
+               libkf5widgetsaddons-dev (>= 5.99.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://projects.kde.org/projects/kde/kdeutils/kdebugsettings
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdebugsettings

## kdebugsettings 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
+# SPDX-FileCopyrightText: 2015-2022 Laurent Montel <montel@kde.org>
+# SPDX-License-Identifier: BSD-3-Clause
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "21")
+set (RELEASE_SERVICE_VERSION_MAJOR "22")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
 set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
@@ -7,7 +9,7 @@
 project(kdebugsettings VERSION ${RELEASE_SERVICE_VERSION})
 
 set(QT_MIN_VERSION "5.15.2")
-set(KF5_MIN_VERSION "5.87.0")
+set(KF5_MIN_VERSION "5.99.0")
 
 set(ECM_VERSION ${KF5_MIN_VERSION})
 find_package(ECM ${ECM_VERSION} REQUIRED NO_MODULE)
@@ -25,9 +27,9 @@
 include(ECMAddTests)
 include(ECMQtDeclareLoggingCategory)
 include(GenerateExportHeader)
+include(ECMDeprecationSettings)
 
-
-find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets)
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS 
     CoreAddons 
     Config
@@ -38,8 +40,9 @@
     Completion)
 
 add_definitions(-DTRANSLATION_DOMAIN="kdebugsettings")
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
+ecm_set_disabled_deprecation_versions(QT 5.15.2
+    KF 5.99
+)
 
 configure_file(config-kdebugsettings.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdebugsettings.h)
 
@@ -59,7 +62,7 @@
 
 add_subdirectory( src )
 if (BUILD_TESTING)
-    find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Test)
+    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Test)
     add_subdirectory( autotests )
 endif()
 ecm_qt_install_logging_categories(EXPORT KDEBUGSETTINGS FILE kdebugsettings.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2022 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

include_directories(${kdebugsettings_BINARY_DIR}/src ${kdebugsettings_BINARY_DIR})
add_definitions( -DKDEBUGSETTINGS_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data" )
add_definitions( -DKDEBUGSETTINGS_BINARY_DATA_DIR="${CMAKE_CURRENT_BINARY_DIR}/data" )
# convenience macro to add qtest unit tests
macro(add_unittest _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable( ${_name} ${_test} ${_name}.h)
    add_test(NAME ${_name} COMMAND ${_name} )
    ecm_mark_as_test(kdebugsettings-${_name})
    target_link_libraries( ${_name}
        Qt::Test
        KF5::I18n
        Qt::Widgets
        KF5::ConfigCore
        KF5::WidgetsAddons
        KF5::ItemViews
        KF5::Completion
        libkdebugsettings
        )
endmacro ()

add_unittest( kdebugsettingsdialogtest.cpp)
add_unittest( kdeapplicationdebugsettingpagetest.cpp)
add_unittest( customdebugsettingspagetest.cpp)
add_unittest( configurecustomsettingdialogtest.cpp)
add_unittest( configurecustomsettingwidgettest.cpp)
add_unittest( environmentsettingsrulespagetest.cpp)
add_unittest( kdebugsettingutiltest.cpp)
add_unittest( categorytypecomboboxtest.cpp)
add_unittest( kdeapplicationtreelistwidgettest.cpp)
add_unittest( categorywarningtest.cpp)
add_unittest( loggingcategorytest.cpp)
add_unittest( loadcategoriesjobtest.cpp)
add_unittest( renamecategorytest.cpp)
add_unittest( saverulesjobtest.cpp)
add_unittest( kdebugsettingsloadingcategoriestest.cpp)
add_unittest( changedebugmodejobtest.cpp)
add_unittest( loadgroupmenutest.cpp)
add_unittest( loadtoolbuttontest.cpp)
add_unittest( savetoolbuttontest.cpp)
add_unittest( groupmanagementdialogtest.cpp)
add_unittest( groupmanagementwidgettest.cpp)

=== data/groups/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2022 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
install( FILES "Full Debug Ruqola" DESTINATION ${KDE_INSTALL_DATADIR}/kdebugsettings/groups )

=== debian/changelog ===
kdebugsettings (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:49 +0100

kdebugsettings (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:05:16 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                qtbase5-dev (>= 5.15.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://projects.kde.org/projects/kde/kdeutils/kdebugsettings
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdebugsettings
@@ -27,7 +27,7 @@
 
 Package: kdebugsettings
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: application to enable/disable qCDebug settings
  Qt applications use QDebug classes to print out warnings and errors on
  a terminal.  This applications is a simple GUI to turn on or off

## kdebugsettings 23.04.2

=== debian/changelog ===
kdebugsettings (23.04.2-0xneon+22.04+jammy+release+build18) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 13:31:05 +0000

kdebugsettings (23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:22:49 +0000

kdebugsettings (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 18:44:59 +0000

kdebugsettings (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:09:39 +0000

kdebugsettings (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:41:48 +0000

kdebugsettings (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:17:40 +0000

kdebugsettings (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:26:46 +0000

kdebugsettings (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:46:05 +0000

kdebugsettings (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:13:47 +0000

kdebugsettings (22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:47:28 +0000

kdebugsettings (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:34:18 +0000

kdebugsettings (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:58:29 +0000

kdebugsettings (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:53:22 +0000

kdebugsettings (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:06:20 +0000

kdebugsettings (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:05:27 +0000

kdebugsettings (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:02:33 +0000

kdebugsettings (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021.12.05:05 +0000

kdebugsettings (21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:32:01 +0000

kdebugsettings (21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:42:56 +0000

kdebugsettings (21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:52:49 +0000

kdebugsettings (21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021.12.03:20 +0000

kdebugsettings (21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:53:34 +0000

kdebugsettings (21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:21:48 +0000

kdebugsettings (20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 12:59:03 +0000

kdebugsettings (20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:13:00 +0000

kdebugsettings (20.12.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jan 2021.12.25:18 +0000

kdebugsettings (20.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Dec 2020 13:33:28 +0000

kdebugsettings (20.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Nov 2020 07:06:54 +0000

kdebugsettings (20.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Oct 2020 10:21:52 +0000

kdebugsettings (20.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Sep 2020 11:22:28 +0000

kdebugsettings (20.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Aug 2020 09:15:46 +0000

kdebugsettings (20.04.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jul 2020 09:38:29 +0000

kdebugsettings (20.04.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 17 May 2020 22:23:20 +0000

kdebugsettings (20.04.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Apr 2020 17:46:35 +0000

kdebugsettings (19.12.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Mar 2020 10:58:20 +0000

kdebugsettings (19.12.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Feb 2020 13:45:07 +0000

kdebugsettings (19.12.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Jan 2020 17:15:04 +0000

kdebugsettings (19.12.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Dec 2019 18:52:16 +0000

kdebugsettings (19.08.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Nov 2019 10:11:22 +0000

kdebugsettings (19.08.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 09 Oct 2019 18:08:42 +0000

kdebugsettings (19.08.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Sep 2019 14:22:22 +0000

kdebugsettings (19.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Aug 2019 13:20:02 +0000

kdebugsettings (19.04.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 Jul 2019 11:34:56 +0000

kdebugsettings (19.04.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Jun 2019 10:00:06 +0000

kdebugsettings (19.04.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 May 2019 06:40:14 +0000



=== debian/control ===
Source: kdebugsettings
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.38.0~),
               libkf5completion-dev (>= 5.38.0~),
               libkf5config-dev (>= 5.38.0~),
               libkf5coreaddons-dev (>= 5.38.0~),
               libkf5dbusaddons-dev (>= 5.38.0~),
               libkf5i18n-dev (>= 5.38.0~),
               libkf5itemviews-dev (>= 5.38.0~),
               libkf5widgetsaddons-dev (>= 5.38.0~),
               libkf5xmlgui-dev (>= 5.38.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.7.0~)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/kdeutils/kdebugsettings
Vcs-Git: https://invent.kde.org/neon/kde/kdebugsettings.git
Vcs-Browser: https://invent.kde.org/neon/kde/kdebugsettings
Maintainer: Neon CI <neon@kde.org>

Package: kdebugsettings
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: application to enable/disable qCDebug settings
 Qt applications use QDebug classes to print out warnings and errors on
 a terminal.  This applications is a simple GUI to turn on or off
 these messages.

## kdebugsettings 23.08.0

=== debian/changelog ===
kdebugsettings (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:52:38 +0100

kdebugsettings (23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Update lintian overrides

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:32:31 +0100

kdebugsettings (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:45:08 +0100

kdebugsettings (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Add libkf5xmlgui-dev to Build-Depends
  * Disable build tests with -DBUILD_TESTING=OF
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:55:47 +0100

kdebugsettings (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:36:40 +0000

kdebugsettings (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:14:30 -0600

kdebugsettings (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:13:34 +0000

kdebugsettings (22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Sat, 31 Dec 2022 19:52:57 +0000

kdebugsettings (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:07:44 +0000

kdebugsettings (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:04:05 +0000

kdebugsettings (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:49:30 +0000

kdebugsettings (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:07:37 +0000

## kdebugsettings 23.08.1

=== debian/changelog ===
kdebugsettings (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:57:44 +0100
